commit:     990a3ccae195719f75c36a96ae331ca839126230
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 28 11:55:37 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar 28 11:56:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=990a3cca

dev-python/python-docs: Bump to 3.9.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-docs/Manifest                 |  1 +
 dev-python/python-docs/python-docs-3.9.2.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 24 insertions(+)

diff --git a/dev-python/python-docs/Manifest b/dev-python/python-docs/Manifest
index 8d106946abe..e349d033ff5 100644
--- a/dev-python/python-docs/Manifest
+++ b/dev-python/python-docs/Manifest
@@ -6,3 +6,4 @@ DIST python-3.7.9-docs-html.tar.bz2 6285801 BLAKE2B 
bc76a90bed3f9126a63fc76bc7ec
 DIST python-3.8.7-docs-html.tar.bz2 6583700 BLAKE2B 
7509e4bb530f272653f0efcc6582628f80e60ddf143085cc8fb9492a686d8de2be599be3e0a38ae0271526704c04e7bbe0bc064dbbf6712d03b8f4166f6e8cda
 SHA512 
317217948168d870dee57f2b1633c5d3dbd1a54963f5595dda4cccdf902ea48bbc70369f98e2c03958047a76966aabf9842b87adade21bb1fc5ec01c3db694f1
 DIST python-3.8.8-docs-html.tar.bz2 6590826 BLAKE2B 
3d63ed87030ce2a036ada92397bbb7ad5389105702deab5282148ee9ff5d4e93a1d2767e1e9487cff7fecd86fd46e2d7a216bf1578847f7b25f133d6d26ba038
 SHA512 
1f3da0cb48dd817a31b824ca88b27d8df6bf32d5e6348e339e4b4a06403d5aca37a0984d59d8d954ef037aa427ced77a8163c03887de51bd60ff25a6e5ef2682
 DIST python-3.9.1-docs-html.tar.bz2 6806786 BLAKE2B 
0101e59fd25bd57e8abbb9f289b2b48a7db8e4ad9a74e51e3c8977f85a0d5d731624fe61fdc376048166e1ffaadd69c8e97acc677024a9bb711ba958a5c43cef
 SHA512 
aa87b27b895894281b923031af651d26627526f85e61fe09c88be081ff6471ae367364cea176b1e522e065c6ec98372504f769aa1d40382716004f90c3761d97
+DIST python-3.9.2-docs-html.tar.bz2 6818470 BLAKE2B 
cb2f6cf98e253e2b5e1fafb0c6227e0ac7d12dc603861faa670c5a7ec39990988a289a2ea5f6ceeb49950399a8e5dcc82ecde8c2417e8a55d71c123f54cd3b37
 SHA512 
bd0d3b39e57fbc897c9fd4fbeec67da7fd71e751b5fc5bb460a21b8d67e5c8d29b7ba38d5b01e9fdf3080a2015d7842022147e92a1322efe3c8ac155b41960d4

diff --git a/dev-python/python-docs/python-docs-3.9.2.ebuild 
b/dev-python/python-docs/python-docs-3.9.2.ebuild
new file mode 100644
index 00000000000..bfc00bc95de
--- /dev/null
+++ b/dev-python/python-docs/python-docs-3.9.2.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="HTML documentation for Python"
+HOMEPAGE="https://www.python.org/doc/";
+SRC_URI="https://www.python.org/ftp/python/doc/${PV}/python-${PV}-docs-html.tar.bz2";
+S="${WORKDIR}/python-${PV}-docs-html"
+
+LICENSE="PSF-2"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86"
+
+src_install() {
+       rm -r _sources || die
+       docinto html
+       dodoc -r .
+
+       newenvd - 60python-docs-${SLOT} <<-EOF
+               
PYTHONDOCS_${SLOT//./_}="${EPREFIX}/usr/share/doc/${PF}/html/library"
+       EOF
+}

Reply via email to